oracle.pgx.api.admin

## Interface GraphInfo

-     public interface GraphInfo

  Information about a graph

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `NO_REFRESH_DELAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAutoRefreshApplyInterval()` Gets the auto refresh apply interval.
    `long` | `getAutoRefreshPollingInterval()` Gets the auto refresh polling interval.
    `GraphConfig` | `getConfig()` Gets the config.
    `String` | `getGraphName()` Gets the graph name.
    `int` | `getMemSizeGraphInMegabytes()` Gets the size of the graph in megabytes.
    `int` | `getMemSizePropertiesInMegabytes()` Gets the size of all properties in megabytes.
    `long` | `getNumEdges()` Gets the number of edges in this graph.
    `long` | `getNumNodes()` Gets the number of nodes in this graph.
    `List<PropertyInfo>` | `getProperties()` Gets the properties of this graph.
    `Long` | `getSCN()` Gets the scn.
    `List<String>` | `getSessions()` Gets the session IDs which have at least one pointer to this shared graph instance.
    `boolean` | `isAutoRefreshed()` Checks if is the graph auto-refreshed.
    `boolean` | `isFresh()` Checks if the graph is fresh.
    `boolean` | `isPinned()` Checks if the graph is pinned.
    `boolean` | `isPrivate()` Checks if the graph is private.

- - ### Field Detail

    - #### NO_REFRESH_DELAY

          static final long NO_REFRESH_DELAY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAutoRefreshApplyInterval

          long getAutoRefreshApplyInterval()

      Gets the auto refresh apply interval.
      Returns:
        the auto-refresh applying interval in milliseconds. If this graph is not auto-refreshed ( `isAutoRefreshed()` returns false), `NO_REFRESH_DELAY` is returned.

    - #### getAutoRefreshPollingInterval

          long getAutoRefreshPollingInterval()

      Gets the auto refresh polling interval.
      Returns:
        the auto-refresh polling interval in milliseconds. If this graph is not auto-refreshed ( `isAutoRefreshed()` returns false), `NO_REFRESH_DELAY` is returned.

    - #### getConfig

          GraphConfig getConfig()

      Gets the config.
      Returns:
        the configuration of this graph

    - #### getGraphName

          String getGraphName()

      Gets the graph name.
      Returns:
        name of this graph

    - #### getMemSizeGraphInMegabytes

          int getMemSizeGraphInMegabytes()

      Gets the size of the graph in megabytes.
      Returns:
        estimated number of megabytes this graph consumes in memory Key mappings are included, if any. Properties are not included.
      See Also:
        `#getMemSizeProperties()}`

    - #### getMemSizePropertiesInMegabytes

          int getMemSizePropertiesInMegabytes()

      Gets the size of all properties in megabytes.
      Returns:
        estimated number of megabytes the properties of this graph consume in memory

    - #### getNumEdges

          long getNumEdges()

      Gets the number of edges in this graph.
      Returns:
        the number of edges in this graph

    - #### getNumNodes

          long getNumNodes()

      Gets the number of nodes in this graph.
      Returns:
        the number of nodes in this graph

    - #### getProperties

          List<PropertyInfo> getProperties()

      Gets the properties of this graph.
      Returns:
        list of properties of this graph

    - #### getSCN

          Long getSCN()

      Gets the scn.
      Returns:
        the database SCN number this graph corresponds to or null if the graph was loaded from a file

    - #### getSessions

          List<String> getSessions()

      Gets the session IDs which have at least one pointer to this shared graph instance.
      Returns:
        list of session IDs currently sharing this graph instance

    - #### isAutoRefreshed

          boolean isAutoRefreshed()

      Checks if is the graph auto-refreshed.
      Returns:
        true if this graph is auto-refreshed, false otherwise
      See Also:
        `#getAutoRefreshPollingInterval()}`, `#getAutoRefreshApplyInterval()}`

    - #### isFresh

          boolean isFresh()

      Checks if the graph is fresh.
      Returns:
        false if there is another graph in cache which is newer than this one, true otherwise.

    - #### isPinned

          boolean isPinned()

      Checks if the graph is pinned.
      Returns:
        true if this is pinned graph which cannot be un-loaded

    - #### isPrivate

          boolean isPrivate()

      Checks if the graph is private.
      Returns:
        true if this graph is private (session-bound)

Copyright © 2015. All rights reserved.